/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工作经历Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffExperience extends DataEntity<WorkStaffExperience> {
	
	private static final long serialVersionUID = 1L;
	private String staffId;		// 员工ID
	private String company;		// 所在单位
	private String dept;		// 工作部门
	private String duty;		// 职务或岗位
	private Date startDate;		// 起始日期
	private Date endDate;		// 终止日期
	private String certifier;		// 证明人
	private String certifierTel;		// 证明人联系方式
	
	public WorkStaffExperience() {
		super();
	}

	public WorkStaffExperience(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	
	@ExcelField(title="所在单位", align=2, sort=8)
	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}
	
	@ExcelField(title="工作部门", align=2, sort=9)
	public String getDept() {
		return dept;
	}

	public void setDept(String dept) {
		this.dept = dept;
	}
	
	@ExcelField(title="职务或岗位", align=2, sort=10)
	public String getDuty() {
		return duty;
	}

	public void setDuty(String duty) {
		this.duty = duty;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="起始日期", align=2, sort=11)
	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="终止日期", align=2, sort=12)
	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	
	@ExcelField(title="证明人", align=2, sort=13)
	public String getCertifier() {
		return certifier;
	}

	public void setCertifier(String certifier) {
		this.certifier = certifier;
	}
	
	@ExcelField(title="证明人联系方式", align=2, sort=14)
	public String getCertifierTel() {
		return certifierTel;
	}

	public void setCertifierTel(String certifierTel) {
		this.certifierTel = certifierTel;
	}
	
}